Package org.apache.uima.resource

# Class CasDefinition

java.lang.Object
org.apache.uima.resource.CasDefinition

public class CasDefinition extends Object
Encapsulates information that defines how to create a CAS.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CasDefinition(Collection<? extends ProcessingResourceMetaData> aMetaDataToMerge, ResourceManager aResourceManager)`
  `CasDefinition(TypeSystemDescription aTypeSystem, TypePriorities aTypePriorities, FsIndexDescription[] aFsIndexes, ResourceManager aResourceManager, Properties aPerformanceTuningSettings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CasManager`
  `getCasManager()`
  Gets the CasManager associated with this CAS Definition.
  `FsIndexDescription[]`
  `getFsIndexDescriptions()`
  `ProcessingResourceMetaData`
  `getProcessingResourceMetaData()`
  Constructs and returns a `ProcessingResourceMetaData` object that contains the type system, indexes, and type priorities definitions for the CAS.
  `ResourceManager`
  `getResourceManager()`
  `TypePriorities`
  `getTypePriorities()`
  `TypeSystemDescription`
  `getTypeSystemDescription()`
  `TypeSystemImpl`
  `getTypeSystemImpl()`
  `void`
  `setFsIndexDescriptions(FsIndexDescription[] fsIndexDescriptions)`
  `void`
  `setResourceManager(ResourceManager resourceManager)`
  `void`
  `setTypePriorities(TypePriorities typePriorities)`
  `void`
  `setTypeSystemDescription(TypeSystemDescription typeSystemDescription)`
  `void`
  `setTypeSystemImpl(TypeSystemImpl typeSystemImpl)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CasDefinition

    public CasDefinition(TypeSystemDescription aTypeSystem, TypePriorities aTypePriorities, FsIndexDescription[] aFsIndexes, ResourceManager aResourceManager, Properties aPerformanceTuningSettings)

  - ### CasDefinition

    public CasDefinition(Collection<? extends ProcessingResourceMetaData> aMetaDataToMerge, ResourceManager aResourceManager) throws ResourceInitializationException
    Throws:
      `ResourceInitializationException`

- ## Method Details

  - ### getFsIndexDescriptions

    public FsIndexDescription[] getFsIndexDescriptions()
    Returns:
      Returns the fsIndexDescriptions.

  - ### setFsIndexDescriptions

    public void setFsIndexDescriptions(FsIndexDescription[] fsIndexDescriptions)
    Parameters:
      `fsIndexDescriptions` - The fsIndexDescriptions to set.

  - ### getResourceManager

    public ResourceManager getResourceManager()
    Returns:
      Returns the resourceManager.

  - ### setResourceManager

    public void setResourceManager(ResourceManager resourceManager)
    Parameters:
      `resourceManager` - The resourceManager to set.

  - ### getTypePriorities

    public TypePriorities getTypePriorities()
    Returns:
      Returns the typePriorities.

  - ### setTypePriorities

    public void setTypePriorities(TypePriorities typePriorities)
    Parameters:
      `typePriorities` - The typePriorities to set.

  - ### getTypeSystemDescription

    public TypeSystemDescription getTypeSystemDescription()
    Returns:
      Returns the typeSystemDescription.

  - ### setTypeSystemDescription

    public void setTypeSystemDescription(TypeSystemDescription typeSystemDescription)
    Parameters:
      `typeSystemDescription` - The typeSystemDescription to set.

  - ### getCasManager

    public CasManager getCasManager()
    Gets the CasManager associated with this CAS Definition.
    Returns:
      this CAS Definition's CasManager

  - ### getProcessingResourceMetaData

    public ProcessingResourceMetaData getProcessingResourceMetaData()
    Constructs and returns a `ProcessingResourceMetaData` object that contains the type system, indexes, and type priorities definitions for the CAS.
    Returns:
      processing resource metadata object containing the relevant parts of the CAS definition

  - ### getTypeSystemImpl

    public TypeSystemImpl getTypeSystemImpl()
    Returns:
      the typeSystemImpl

  - ### setTypeSystemImpl

    public void setTypeSystemImpl(TypeSystemImpl typeSystemImpl)
    Parameters:
      `typeSystemImpl` - the typeSystemImpl to set